Skip to main content
POST
/
reference
/
subcategory
Create or update a ticket subcategory
curl --request POST \
  --url https://thalamus.nerds.nl/api/v1/partner/reference/subcategory \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "id": "connectivity",
  "label": "Connectivity",
  "category_id": "technical",
  "sort_order": 123,
  "status": "active"
}
'
import requests

url = "https://thalamus.nerds.nl/api/v1/partner/reference/subcategory"

payload = {
    "id": "connectivity",
    "label": "Connectivity",
    "category_id": "technical",
    "sort_order": 123,
    "status": "active"
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({
    id: 'connectivity',
    label: 'Connectivity',
    category_id: 'technical',
    sort_order: 123,
    status: 'active'
  })
};

fetch('https://thalamus.nerds.nl/api/v1/partner/reference/subcategory', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "success": true,
  "data": {
    "uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "id": "<string>",
    "label": "<string>"
  },
  "message": "<string>"
}
{
  "success": true,
  "data": {
    "uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "id": "<string>",
    "label": "<string>"
  },
  "message": "<string>"
}
{
  "success": false,
  "error": {
    "code": "INVALID_REQUEST",
    "message": "Validation failed: body is required"
  }
}
{
  "success": false,
  "error": {
    "code": "UNAUTHORIZED",
    "message": "Invalid or revoked API key"
  }
}
{
  "success": false,
  "error": {
    "code": "NOT_FOUND",
    "message": "Resource not found"
  }
}

Authorizations

Authorization
string
header
required

Partner API key (e.g. nerds_live_a8f3d9k2m5n7p1q4r6t8v0w2x4y6z8)

Body

application/json
id
string
required
Example:

"connectivity"

label
string
required
Example:

"Connectivity"

category_id
string
required

The ticket category id this subcategory belongs to (must exist)

Example:

"technical"

sort_order
integer | null
status
enum<string>
default:active
Available options:
active,
inactive

Response

Subcategory updated

success
boolean
Example:

true

data
object
message
string